Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDIC API V2006 Release 0308
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.jdic.tray
Class SystemTray

    java.lang.Object
      org.jdesktop.jdic.tray.SystemTray

    public class SystemTray

extends java.lang.Object

The `SystemTray` class represents the System Tray for a desktop. For any desktop there may be more than one instance of the System Tray but this is most commonly not the case. Typically a desktop will have one SystemTray. On Gnome and Windows this tray is referred to as the Notification Area.

Method Summary
`void` | `addTrayIcon(TrayIcon trayIcon)` Adds a `TrayIcon` to the SystemTray
`static SystemTray` | `getDefaultSystemTray()` Gets the default SystemTray for the desktop.
`void` | `removeTrayIcon(TrayIcon trayIcon)` Removes the specified `TrayIcon` from the SystemTray

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDefaultSystemTray

    public static SystemTray getDefaultSystemTray()

  Gets the default SystemTray for the desktop.

  Returns:
    SystemTray

### addTrayIcon

    public void addTrayIcon(TrayIcon trayIcon)

  Adds a `TrayIcon` to the SystemTray

  Parameters:
    `trayIcon` -

### removeTrayIcon

    public void removeTrayIcon(TrayIcon trayIcon)

  Removes the specified `TrayIcon` from the SystemTray

  Parameters:
    `trayIcon` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDIC API V2006 Release 0308
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For more information and documentation on JDIC, see JDIC website.

That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, working code examples, license terms and bug report information.

Copyright (c) 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.